<?php

$id_pord = filter_var($_POST['prod'], FILTER_SANITIZE_NUMBER_INT);

$verifi = mysql_query("SELECT id FROM produtos WHERE id='$id_pord'");

if(empty($_POST['prod']) || mysql_num_rows($verifi)==0) { exit; }

if($_POST['oper']=='add'){

	

if(array_key_exists($id_pord, $_SESSION['ncart'])){

		 $_SESSION['ncart'][$id_pord] +=1;

	}else{

	     $_SESSION['ncart'][$id_pord] = 1;
	}


}elseif($_POST['oper']=='sub') {


	if($_SESSION['ncart'][$id_pord]==1 || $_SESSION['ncart'][$id_pord]==0){

		 unset($_SESSION['ncart'][$id_pord]);
		
	}else{

	     $_SESSION['ncart'][$id_pord] -= 1;
	}
}